<template lang="pug">
nav.justify-content-center(aria-label='Pagination')
  ul.pagination.justify-content-center
    li.page-item(:class="currentPage === 1 ? [ 'disabled' ] : []")
      button.page-link(type='button'  @click="goToPage(1)"
        :disabled='currentPage === 1') #[i.fa.fa-angle-double-left]
    li.page-item(:class="currentPage === 1 ? [ 'disabled' ] : []")
      button.page-link(type='button'  @click="goToPage(currentPage - 1)"
        :disabled='currentPage === 1') #[i.fa.fa-angle-left]
    li.page-item(v-for="n in pagesToShow" :class="currentPage === n ? [ 'active'] : []")
      button.page-link(@click="goToPage(n)") {{ n }}
    li.page-item(:class="currentPage === pagesCount ? [ 'disabled' ] : []")
      button.page-link(type='button' @click="goToPage(currentPage + 1)"
        :disabled='currentPage === pagesCount') #[i.fa.fa-angle-right]
    li.page-item(:class="currentPage === pagesCount ? [ 'disabled' ] : []")
      button.page-link(type='button' @click="goToPage(pagesCount)"
        :disabled='currentPage === pagesCount') #[i.fa.fa-angle-double-right]
    li.page-item.disabled.d-none.d-lg-block(v-if="pagesCount > 1")
      button.page-link(type='button' :disabled='true') {{ currentPage }} of {{ pagesCount }}
</template>

<script>
export { default } from "./PaginationBar.vue.js";
</script>
